# daim - OSCAR Protocol Library for Java
# Copyright (C) 2004  David Walluck
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
#
# $Id: buddygroup.py,v 1.3 2004/02/12 07:06:23 walluck Exp $

import os
from org.walluck.oscar.script import Script
from java.lang import Exception

class BuddyGroup(Script):
    def __init__(self):
        self.name, self.version, self.description, self.author, self.url, \
                   self.filename = ("Buddy Group", "1.0", "Buddy Group Test \
                   Script", "David Walluck <walluck@dev.java.net>", \
                                    "http://www.jython.org/", \
                                    "buddygroup.py")
        daim.addScript(self)

try:
    groups = oscar.getBuddyGroups()
    print "START"
    for group in groups:
        print group.name
    print "END"
except Exception, e:
    print "buddygroup: failed to get buddy groups: "
    e.printStackTrace()
